.ant-btn {
  padding: 12px 20px;
  border-radius: 8px;
  height: 48px;
  font-weight: var(--bold);
  font-size: var(--base);
  line-height: var(--larger);
  color: var(--main-black);
  &:disabled {
    cursor: not-allowed;
  }
}
.ant-btn-primary {
  color: var(--main-white);
  background: var(--main-blue);
  border-color: var(--main-blue);
  &:hover,
  &:active,
  &:focus {
    background: var(--main-black);
    border-color: var(--main-black);
  }
}
.ant-btn-purple {
  color: var(--main-white);
  background: var(--main-purple);
  border-color: var(--main-purple);
  &:hover,
  &:active,
  &:focus {
    color: var(--main-white);
    background: #573BE7;
    border-color: #573BE7;
  }
}
.ant-btn-outlined {
  color: var(--main-black);
  background: var(--main-white);
  border-color: var(--main-blue);
  &:hover,
  &:active,
  &:focus {
    color: var(--main-black);
    background: rgba(123, 97, 255, 0.1);
    border-color: var(--main-black);
  }
}
.ant-btn-black {
  color: var(--main-white);
  background: var(--main-black);
  border-color: var(--main-black);
  &:hover,
  &:active,
  &:focus {
    color: var(--main-white);
    background: var(--main-purple);
    border-color: var(--main-purple);
  }
}
.ant-btn-yellow {
  color: var(--main-black);
  background: var(--main-yellow);
  border-color: var(--main-yellow);
  &:hover,
  &:active,
  &:focus {
    color: var(--main-black);
    background: #F5B718;
    border-color: #F5B718;
  }
}
.ant-btn-link {
  color: #7B61FF;
  &:hover,
  &:active,
  &:focus {
    color: #573BE7;
  }
}

